Summary: 	Full-featured POP/IMAP mail retrieval daemon
Name:		fetchmail
Version:	6.3.20
%define subrel 1
%if %mdkversion == 200600
Release:	%mkrel 1
%endif
%if %mdkversion >= 200900
Release:	%mkrel 0
%endif
License: 	GPL
Group:		Networking/Mail
URL: 		http://www.fetchmail.info
Source:		http://download.berlios.de/fetchmail/%name-%version.tar.bz2
Source2:	http://download.berlios.de/fetchmail/%name-%version.tar.bz2.asc
Source3:	fetchmailconf.desktop.bz2
Source4:	fetchmail.sysconfig.bz2
Source5:	fetchmail.init
Source6:	fetchmail.gif
Patch0:		fetchmail-5.7.0-nlsfix.patch
Patch9:		fetchmail-6.3.2-norootwarning.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	openssl-devel
BuildRequires:	python
Requires: 	MailTransportAgent
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Fetchmail is a free, full-featured, robust, and well-documented remote mail
retrieval and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be read by normal
mail user agents such as Mutt, Elm, Pine, (X)Emacs/Gnus or Mailx.

It comes with an interactive GUI configurator suitable for end-users.

Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

%package -n fetchmailconf
Summary: 	A utility for graphically configuring your fetchmail preferences
Group: 		System/Configuration/Networking
Requires: 	tkinter
Requires: 	%name = %version


%description -n fetchmailconf
Fetchmailconf is a TCL/TK application for graphically configuring
your ~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up
fetchmail.

%package daemon
Summary:	SySV init script for demonize fetchmail for retrieving emails
Group:		System/Base
Requires:	%name = %version
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description daemon
SySV init script for demonize fetchmail for sucking emails.

%prep
%setup -q
%patch0 -p0
%patch9 -p0 -b .norootwarn

%build
%serverbuild
export CFLAGS="$CFLAGS -g"
%configure2_5x  \
	--with-ssl=%_prefix	\
	--enable-RPA		\
	--enable-NTLM		\
	--enable-SDPS

# (tv) do not use %%make in order to workaround buggy parallel build:
make all

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_libdir/rhs/control-panel,%_datadir/applets/Administration} \
	$RPM_BUILD_ROOT{%_sysconfdir/{X11/wmconfig,sysconfig},%_mandir/man1,%_initrddir}

%makeinstall

install rh-config/*.{xpm,init} $RPM_BUILD_ROOT%_libdir/rhs/control-panel

%if %{mdkversion} < 200610
bzcat %SOURCE3 > $RPM_BUILD_ROOT%_datadir/applets/Administration/fetchmailconf.desktop
%endif
bzcat %SOURCE4 > $RPM_BUILD_ROOT%_sysconfdir/sysconfig/fetchmail
install -m0755 %SOURCE5 $RPM_BUILD_ROOT%_initrddir/fetchmail

echo -e "# Put here each user config\n" > $RPM_BUILD_ROOT/etc/fetchmailrc

rm -rf contrib/RCS
chmod 644 contrib/*
find -name \*.xpm -exec chmod 644 '{}' \;

# Mandriva menu entry
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_miconsdir,%_menudir}

%if %{mdkversion} < 200610
cat << EOF >$RPM_BUILD_ROOT%_menudir/%{name}conf
?package(%{name}conf): command="%{name}conf" \
icon="other_configuration.png" \
needs="x11" \
title="Fetchmailconf" \
longtitle="Configuration of fetchmail" \
section="System/Configuration/Other" 
EOF
%else
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Fetchmailconf
Comment=Full-featured POP/IMAP mail retrieval daemon
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF
%endif

%find_lang %name

cat > README.fetchmail-conf <<EOF
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.


This utility takes some of the guesswork and hassle out of setting up
fetchmail.
EOF

echo 'SySV init script for demonize fetchmail for sucking emails.'>README.fetchmail-daemon

%clean
rm -rf $RPM_BUILD_ROOT


%if %mdkversion < 200900
%post -n fetchmailconf
%update_menus
%endif

%if %mdkversion < 200900
%postun -n fetchmailconf
%clean_menus
%endif

%post -n fetchmail-daemon
%_post_service fetchmail

%preun -n fetchmail-daemon
%_preun_service fetchmail

%postun -n fetchmail-daemon
if [ "$1" -ge "1" ]; then
    /sbin/service fetchmail condrestart > /dev/null 2>/dev/null || :
fi

%files -f %name.lang
%defattr (-, root, root)
%doc COPYING FAQ FEATURES INSTALL NEWS NOTES README
%doc contrib fetchmail-features.html fetchmail-FAQ.html design-notes.html
%_bindir/fetchmail
%_mandir/man1/fetchmail.1*

%files -n fetchmailconf
%defattr(-,root,root)
%doc README.fetchmail-conf
%_libdir/rhs/control-panel/*
%_bindir/fetchmailconf
%_mandir/man1/fetchmailconf.1*
%if %{mdkversion} < 200610
%_menudir/fetchmailconf
%_datadir/applets/Administration/fetchmailconf.desktop
%_libdir/python*/site-packages/*
%else
%{_datadir}/applications/
%py_purelibdir/site-packages/*
%endif

%files daemon
%defattr(-,root,root)
%doc README.fetchmail-daemon
%attr(600,root,root) %config(noreplace,missingok) %_sysconfdir/fetchmailrc
%config(noreplace) %{_sysconfdir}/sysconfig/fetchmail
%attr(755,root,root) %config(noreplace) %_initrddir/fetchmail


%changelog
* Tue Jun 07 2011 Oden Eriksson <oeriksson@mandriva.com> 6.3.20-0.1mdv2010.2
- built for updates
- unify the source rpm package for all products

* Mon Jun 06 2011 Oden Eriksson <oeriksson@mandriva.com> 6.3.20-1mdv2011.0
+ Revision: 682966
- 6.3.20

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 6.3.19-2
+ Revision: 664303
- mass rebuild

* Mon Dec 13 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.19-1mdv2011.0
+ Revision: 620648
- 6.3.19

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 6.3.18-2mdv2011.0
+ Revision: 593313
- rebuild for new python 2.7

* Sun Oct 17 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.18-1mdv2011.0
+ Revision: 586217
- 6.3.18

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.17-1mdv2010.1
+ Revision: 542829
- 6.3.17

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 6.3.16-1mdv2010.1
+ Revision: 532465
- update to new version 6.3.16

* Mon Mar 29 2010 Funda Wang <fwang@mandriva.org> 6.3.15-1mdv2010.1
+ Revision: 528713
- update to new version 6.3.15

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.14-4mdv2010.1
+ Revision: 515904
- bump release back to 4
- drop emacs cruft due to unknown build problems
- spec file cleansing
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.14-3mdv2010.1
+ Revision: 507100
- rebuild

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 6.3.14-2mdv2010.1
+ Revision: 506989
- really fix condrestart
- add condrestart (fcrozat)

* Sat Feb 06 2010 Frederik Himpe <fhimpe@mandriva.org> 6.3.14-1mdv2010.1
+ Revision: 501278
- update to new version 6.3.14

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 6.3.13-1mdv2010.1
+ Revision: 461953
- update to new version 6.3.13

* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 6.3.12-1mdv2010.0
+ Revision: 454583
- 6.3.12

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 6.3.11-2mdv2010.0
+ Revision: 423063
- Add patch from upstream fixing regression with accounts using SSL

* Thu Aug 06 2009 Frederik Himpe <fhimpe@mandriva.org> 6.3.11-1mdv2010.0
+ Revision: 410947
- Update to new version 6.3.11
- Remove patches which were integrated upstream or not applied anymore

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 6.3.9-1mdv2009.1
+ Revision: 332918
- Add asc file
- New upstream release\n Disable patch7

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 6.3.8-10mdv2009.1
+ Revision: 319683
- rebuild for new python

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.8-9mdv2009.1
+ Revision: 316637
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P12)

* Tue Jun 24 2008 Thierry Vignaud <tv@mandriva.org> 6.3.8-8mdv2009.0
+ Revision: 228564
- Patch 11: security fix for CVE-2008-2711

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 6.3.8-7mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 6.3.8-7mdv2008.1
+ Revision: 157337
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild with fixed %%serverbuild macro

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 6.3.8-5mdv2008.1
+ Revision: 149722
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 12 2007 Thierry Vignaud <tv@mandriva.org> 6.3.8-4mdv2008.0
+ Revision: 84666
- patch 10: security fix for CVE-2007-4565 (#33470)

* Thu Aug 23 2007 Funda Wang <fwang@mandriva.org> 6.3.8-3mdv2008.0
+ Revision: 70697
- drop old menu
- fix comment in xdg desktop entry

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 6.3.8-2mdv2008.0
+ Revision: 48221
- s/Icon/Source/
- rebuild with new serverbuild macro (-fstack-protector-all)
- updated URL

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 6.3.8-1mdv2008.0
+ Revision: 16101
- new release


* Tue Jan 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 6.3.6-1mdv2007.0
+ Revision: 109531
- update GPG signature
- new release
- update & bunzip2 patches 4 & 6

  + Emmanuel Andry <eandry@mandriva.org>
    - Import fetchmail

* Thu Aug 31 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.3.4-3mdv2007.0
- Split Patch7 into Patch8 and improved Patch8 to fix missed newlines
  in malformed mails.
- Renamed old Patch8 to Patch9.
- xdg menu.

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 6.3.4-2mdk
- rebuild for sparc

* Sun Apr 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.4-1mdk
- new release

* Thu Mar 23 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.3.2-2mdk
- Patch 8: don't warn when running as root
- Fix permissions of .xpm files

* Fri Jan 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.2-1mdk
- new release (including security fix for CVE-2005-4348)

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-6mdk
- fix preun script

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-5mdk
- fix build on x86_64
- fix prereq

* Sat Jan 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.3.1-4mdk
- add BuildRequires: python

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 6.3.1-3mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 6.3.1-2mdk
- convert parallel init to LSB

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3.1-1mdk
- new release
- new URL
- include signature
- source 5: add support for parallel init
- drop patches 6, 8 and 9 (merged upstream)
- rediff patch 7

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 6.2.5-13mdk
- P8: security fix for CVE-2005-3088
- P9: missing fix for CAN-2005-2355

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 6.2.5-12mdk
- rebuilt against openssl-0.9.8a

* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 6.2.5-11mdk
- fix typo in Patch7 that makes fetchmailconf unusable (#15748)

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.5-10mdk
- rebuilt because the binary got lost in cyberspace

* Thu Feb 10 2005 Giuseppe Ghib <ghibo@mandrekesoft.com> 6.2.5-9mdk
- Improved Patch7 to fix another problem with NUL characters occurring
  with lines longer than 8191 characters.

* Thu Feb 03 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 6.2.5-8mdk
- Added 'stripnul' option to avoid mail containing NUL characters
  (causing bouncing to cyrus-imapd/lmtp).

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 6.2.5-7mdk
- BuildRequires: byacc --> bison

* Wed Dec 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.2.5-6mdk
- fetchmail-daemon: Make the fetchmail polling interval configurable in
  /etc/sysconfig/fetchmail

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-5mdk
- relink against fixed libintl

* Wed Apr 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-4mdk
- workaround buggy parallel build
- rebuild for new gettext libraries

* Tue Mar 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2.5-3mdk
- patch 6: fix APOP managment

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 6.2.5-2mdk
- Fix menu

